Webcam not detected

@StarTreker
This is the output of "v4l2-ctl --list-devices" from my terminal:
Cannot open device /dev/video0, exiting.
Please, help me to solve this. Thanks.

Post moved to own thread.

I think it may be preferable to help you to find the proper command to reach your goal. What is it that you are looking to accomplish?

EDIT: I just read the thread that the above post was moved from...
It looks like your webcam is not being detected. Have you tried unplugging it, then plugging it in and running the command? That may work.
If it does not, @StarTreker was likely correct in the previous reply in suggesting that you may need a newer kernel.
You can use the Tuxinvader kernel which is currently on 5.18:

@Aravisian
My webcam is built-in. How can I plug and unplug it?
And I am a new Zorin os user so looking forward to your help.

Ah... that does make unplug and plug back in more difficult...:grin:

No worries; it is very easy. The system defaults to the latest kernel you have installed unless you direct it not to do so (There is a HOW TO thread on how to do that).
So, if you install the latest kernel, you need only reboot to use it.
To install the kernel in the repo above, add the repo using the terminal. Open a terminal with the keyboard shortcut ctrl+alt+t. Paste this into it:

sudo add-apt-repository ppa:tuxinvader/lts-mainline

You must update your sources any time you add a repo:

sudo apt update

Now, you can see in the link above that TuxInvader has uploaded the 5.18 kernel most recently. Let's install it:

sudo apt-get install linux-generic-5.18 -y

@Aravisian I got a new problem now😕
I turned on my laptop and saw zorin os is changed.:neutral_face:
I simply changed my wallpaper and when was about to change it, I found that the "appearance" tab has changed. Also instead of "Appearance" tab, there is system settings.

Then tried to open "Show Application" but nothing came up. Also zorin connect is also not working.:sob:




I am looking forward to your help. Thanks.

I see that you have Cinnamon Desktop installed.
I can see the Cinnamon App menu on your Panel.

Did you have a Linux Mint Repository added in your sources that you forgot to remove?


You are right, I had installed Cinnamon before, from a tutorial. But here used to be Zorin os option too. I have shared you a picture of my installed dependencies and have never installed Linux mint or other distros before.

Can you try:

sudo apt install --reinstall zorin-os-desktop -y

Thanks, my problem is solved.

Do you see Zorin Desktop offered as an option at the login screen?

Yes, I rebooted it and the problem is solved.

Ubuntu mainline kernels (Index of /~kernel-ppa/mainline) built for LTS releases

You can install specific kernels or install a release meta-package to automatically track point releases of the kernel.

Eg: sudo apt-get install linux-generic-5.12

This PPA has 5.12.x kernels, See lts-mainline-previous for 5.11.x or lts-mainline-longterm for 5.10.x. Alternatively use my container to build your own.

The source packages for this PPA are built using this container: Docker Hub

Source packages are built with:

docker run -ti -e kver= -v /usr/local/src/cod/mainline:/home/source -v /usr/local/src/cod/debs:/home/debs -v ~/.gnupg:/root/keys --rm tuxinvader/focal-mainline-builder:latest --btype=source --exclude=udebs --sign=D55F2FAA00B8D37A473BAB468EE9C89D12DF10CC --rename=yes --buildmeta=yes --maintainer="..." --flavour=generic

More info: lts-mainline : TuxInvader
Press [ENTER] to continue or Ctrl-c to cancel adding it.

Hit:1 https://apt.releases.hashicorp.com focal InRelease
Hit:2 Index of /ubuntu focal InRelease
Hit:3 Index of /wine-builds/ubuntu eoan InRelease
Hit:4 https://dl.google.com/linux/chrome/deb stable InRelease
Hit:5 Index of /ubuntu focal-security InRelease
Hit:6 Index of /wine-builds/ubuntu bionic InRelease
Get:7 Index of /repos/code/ stable InRelease [10.4 kB]
Hit:8 Index of /ubuntu focal InRelease
Hit:9 Index of /gencfsm/ppa/ubuntu focal InRelease
Hit:10 Index of /ubuntu focal-updates InRelease
Hit:11 Index of /stable/ focal InRelease
Hit:12 Index of /micahflee/ppa/ubuntu focal InRelease
Hit:13 Index of /ubuntu focal-backports InRelease
Hit:14 Index of /patches/ focal InRelease
Hit:15 Index of /apps/ focal InRelease
Err:7 Index of /repos/code/ stable InRelease
The following signatures couldn't be verified because the public key is not available: NO_PUBKEY EB3E94ADBE1229CF
Hit:16 Index of /numix/ppa/ubuntu focal InRelease
Hit:17 Index of /drivers/ focal InRelease
Get:18 Index of /tuxinvader/lts-mainline/ubuntu focal InRelease [18.1 kB]
Hit:19 Index of /zorinos/apps/ubuntu focal InRelease
Hit:20 Index of /zorinos/drivers/ubuntu focal InRelease
Hit:21 Index of /zorinos/patches/ubuntu focal InRelease
Hit:22 Index of /zorinos/stable/ubuntu focal InRelease
Get:23 Index of /tuxinvader/lts-mainline/ubuntu focal/main i386 Packages [2,748 B]
Get:24 Index of /tuxinvader/lts-mainline/ubuntu focal/main amd64 Packages [5,032 B]
Get:25 Index of /tuxinvader/lts-mainline/ubuntu focal/main Translation-en [2,316 B]
Reading package lists... Done
W: GPG error: Index of /repos/code/ stable InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY EB3E94ADBE1229CF
E: The repository 'Index of /repos/code/ stable InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
sr_saad@ASUS-UX305CA:~$ sudo apt update
Hit:1 https://apt.releases.hashicorp.com focal InRelease
Hit:2 https://dl.google.com/linux/chrome/deb stable InRelease
Hit:3 Index of /wine-builds/ubuntu eoan InRelease
Hit:4 Index of /ubuntu focal-updates InRelease
Hit:5 Index of /ubuntu focal InRelease
Hit:6 Index of /wine-builds/ubuntu bionic InRelease
Hit:7 Index of /gencfsm/ppa/ubuntu focal InRelease
Get:8 Index of /repos/code/ stable InRelease [10.4 kB]
Hit:9 Index of /ubuntu focal InRelease
Hit:10 Index of /ubuntu focal-backports InRelease
Hit:11 Index of /ubuntu focal-security InRelease
Hit:12 Index of /micahflee/ppa/ubuntu focal InRelease
Err:8 Index of /repos/code/ stable InRelease
The following signatures couldn't be verified because the public key is not available: NO_PUBKEY EB3E94ADBE1229CF
Hit:13 Index of /stable/ focal InRelease
Hit:14 Index of /numix/ppa/ubuntu focal InRelease
Hit:15 Index of /patches/ focal InRelease
Hit:16 Index of /apps/ focal InRelease
Hit:17 Index of /drivers/ focal InRelease
Hit:18 Index of /tuxinvader/lts-mainline/ubuntu focal InRelease
Hit:19 Index of /zorinos/apps/ubuntu focal InRelease
Hit:20 Index of /zorinos/drivers/ubuntu focal InRelease
Hit:21 Index of /zorinos/patches/ubuntu focal InRelease
Hit:22 Index of /zorinos/stable/ubuntu focal InRelease
Reading package lists... Done
W: GPG error: Index of /repos/code/ stable InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY EB3E94ADBE1229CF
E: The repository 'Index of /repos/code/ stable InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
sr_saad@ASUS-UX305CA:~$
sr_saad@ASUS-UX305CA:~$ sudo apt-get install linux-generic-5.18 -y
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
encfs libapache2-mod-php7.4 libc-ares2 libnode64 libtinyxml2-6a nodejs-doc
php-common php7.4 php7.4-cli php7.4-common php7.4-json php7.4-opcache
php7.4-readline wmctrl
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
linux-headers-5.18.14-051814 linux-headers-5.18.14-051814-generic
linux-image-unsigned-5.18.14-051814-generic
linux-modules-5.18.14-051814-generic
Suggested packages:
fdutils linux-doc | linux-source-5.18.14 linux-tools
linux-modules-extra-5.18.14-051814-generic
The following NEW packages will be installed:
linux-generic-5.18 linux-headers-5.18.14-051814
linux-headers-5.18.14-051814-generic
linux-image-unsigned-5.18.14-051814-generic
linux-modules-5.18.14-051814-generic
0 upgraded, 5 newly installed, 0 to remove and 1 not upgraded.
Need to get 111 MB of archives.
After this operation, 736 MB of additional disk space will be used.
Get:1 Index of /tuxinvader/lts-mainline/ubuntu focal/main amd64 linux-headers-5.18.14-051814 all 5.18.14-051814.202207251312 [12.1 MB]
Get:2 Index of /tuxinvader/lts-mainline/ubuntu focal/main amd64 linux-headers-5.18.14-051814-generic amd64 5.18.14-051814.202207251312 [3,117 kB]
Get:3 Index of /tuxinvader/lts-mainline/ubuntu focal/main amd64 linux-modules-5.18.14-051814-generic amd64 5.18.14-051814.202207251312 [83.7 MB]
Get:4 Index of /tuxinvader/lts-mainline/ubuntu focal/main amd64 linux-image-unsigned-5.18.14-051814-generic amd64 5.18.14-051814.202207251312 [11.6 MB]
Get:5 Index of /tuxinvader/lts-mainline/ubuntu focal/main amd64 linux-generic-5.18 amd64 5.18.14 [2,392 B]
Fetched 111 MB in 6min 29s (284 kB/s)
Selecting previously unselected package linux-headers-5.18.14-051814.
(Reading database ... 407184 files and directories currently installed.)
Preparing to unpack .../linux-headers-5.18.14-051814_5.18.14-051814.202207251312_all.deb ...
Unpacking linux-headers-5.18.14-051814 (5.18.14-051814.202207251312) ...
Selecting previously unselected package linux-headers-5.18.14-051814-generic.
Preparing to unpack .../linux-headers-5.18.14-051814-generic_5.18.14-051814.202207251312_amd64.deb ...
Unpacking linux-headers-5.18.14-051814-generic (5.18.14-051814.202207251312) ...
Selecting previously unselected package linux-modules-5.18.14-051814-generic.
Preparing to unpack .../linux-modules-5.18.14-051814-generic_5.18.14-051814.202207251312_amd64.deb ...
Unpacking linux-modules-5.18.14-051814-generic (5.18.14-051814.202207251312) ...
Selecting previously unselected package linux-image-unsigned-5.18.14-051814-generic.
Preparing to unpack .../linux-image-unsigned-5.18.14-051814-generic_5.18.14-051814.202207251312_amd64.deb ...
Unpacking linux-image-unsigned-5.18.14-051814-generic (5.18.14-051814.202207251312) ...
Selecting previously unselected package linux-generic-5.18.
Preparing to unpack .../linux-generic-5.18_5.18.14_amd64.deb ...
Unpacking linux-generic-5.18 (5.18.14) ...
Setting up linux-headers-5.18.14-051814 (5.18.14-051814.202207251312) ...
Setting up linux-headers-5.18.14-051814-generic (5.18.14-051814.202207251312) ...
Setting up linux-modules-5.18.14-051814-generic (5.18.14-051814.202207251312) ...
Setting up linux-image-unsigned-5.18.14-051814-generic (5.18.14-051814.202207251312) ...
I: /boot/vmlinuz.old is now a symlink to vmlinuz-5.4.0-122-generic
I: /boot/initrd.img.old is now a symlink to initrd.img-5.4.0-122-generic
I: /boot/vmlinuz is now a symlink to vmlinuz-5.18.14-051814-generic
I: /boot/initrd.img is now a symlink to initrd.img-5.18.14-051814-generic
Setting up linux-generic-5.18 (5.18.14) ...
Processing triggers for linux-image-unsigned-5.18.14-051814-generic (5.18.14-051814.202207251312) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-5.18.14-051814-generic
W: Possible missing firmware /lib/firmware/i915/skl_guc_69.0.3.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_69.0.3.bin for module i915
W: Possible missing firmware /lib/firmware/i915/kbl_guc_69.0.3.bin for module i915
W: Possible missing firmware /lib/firmware/i915/glk_guc_69.0.3.bin for module i915
W: Possible missing firmware /lib/firmware/i915/kbl_guc_69.0.3.bin for module i915
W: Possible missing firmware /lib/firmware/i915/kbl_guc_69.0.3.bin for module i915
W: Possible missing firmware /lib/firmware/i915/cml_guc_69.0.3.bin for module i915
W: Possible missing firmware /lib/firmware/i915/icl_guc_69.0.3.bin for module i915
W: Possible missing firmware /lib/firmware/i915/ehl_guc_69.0.3.bin for module i915
W: Possible missing firmware /lib/firmware/i915/ehl_guc_69.0.3.bin for module i915
W: Possible missing firmware /lib/firmware/i915/tgl_guc_69.0.3.bin for module i915
W: Possible missing firmware /lib/firmware/i915/tgl_guc_69.0.3.bin for module i915
W: Possible missing firmware /lib/firmware/i915/dg1_guc_69.0.3.bin for module i915
W: Possible missing firmware /lib/firmware/i915/tgl_guc_69.0.3.bin for module i915
W: Possible missing firmware /lib/firmware/i915/adlp_guc_69.0.3.bin for module i915
W: Possible missing firmware /lib/firmware/i915/adlp_dmc_ver2_14.bin for module i915
/etc/kernel/postinst.d/zz-update-grub:
Sourcing file /etc/default/grub' Sourcing file /etc/default/grub.d/init-select.cfg'
Generating grub configuration file ...
Found theme: /usr/share/grub/themes/zorin/theme.txt
Found linux image: /boot/vmlinuz-5.18.14-051814-generic
Found initrd image: /boot/initrd.img-5.18.14-051814-generic
Found linux image: /boot/vmlinuz-5.15.0-41-generic
Found initrd image: /boot/initrd.img-5.15.0-41-generic
Found linux image: /boot/vmlinuz-5.13.0-30-generic
Found initrd image: /boot/initrd.img-5.13.0-30-generic
Found linux image: /boot/vmlinuz-5.4.0-122-generic
Found initrd image: /boot/initrd.img-5.4.0-122-generic
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
done

-This is the result. I rebooted it and tried to use camera but still saying this-

This is Built-In webcam... What is the year, make and model of the computer?

I notice that your VSCode Repository is defunct - you should remove it from your sources.
You can do this from Software & Updates app, in the "Other Software" tab.

You show possible missing firmware - this usually can be safely ignored. But if you like, please check here:

I tried to remove that repository but could not find this repository.


I followed your steps on that link and used those 3 codes again. This time I got no error. I restarted my pc after that but the camera is still not working. It is saying "No device found" on "Cheese".

Device model: ASUS ZenBook UX305
Type: Notebook PC

See if this guide helps:

Note to list usb devices it is:

lsusb

and not 'lsus' as in the article!